Factunexo Docs
API RESTReferenciaWorkflowClientes

Listar clientes

GET
/api/v1/workflow/customers

Authorization

X-API-Secret<token>

API Secret para autenticación. Debe enviarse junto con X-API-Key.

In: header

Query Parameters

pageable*
search*

Response Body

application/json

curl -X GET "https://example.com/api/v1/workflow/customers?page=0&size=1&sort=string&search=string&sortBy=string&sortDirection=ASC"
{  "requestId": "string",  "timestamp": "string",  "data": {    "content": [      {        "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",        "taxpayerType": "NATURAL",        "taxpayerName": "string",        "businessName": "string",        "identificationType": "RUC",        "identification": "string",        "specialTaxpayer": "ZERO",        "specialTaxpayerTaxResolution": "string",        "mandatoryAccountingType": "NO",        "withholdingAgent": "NO",        "withholdingAgentTaxResolution": "string",        "regimeType": "GENERAL",        "firstName": "string",        "middleName": "string",        "lastName": "string",        "secondLastName": "string",        "email": "string",        "address": "string",        "phoneNumber": "string"      }    ],    "page": 0,    "size": 0,    "totalElements": 0,    "totalPages": 0,    "last": true  }}